// MODULE: Phrazibus3.java
// AUTEUR: felipe
// OBJET: interface ++ - exemple de cours
// COMMENT: organisons les composants en zones (panels)

import java.awt.*;

// ----------------------------------------------
// la meme avec des panels pour organiser un peu
// les composants dans la fenetre
// ----------------------------------------------

public class Phrazibus3 extends FenetreFermante {

  Phrazibus3 (int l,int h, String titre) {
     super(l,h);
     setTitle(titre);


     // un ensemble de sujet
     String  Sujet[] = {"Marie", "Julie", "Linda", "Pierre","Jacques"};
     String  Verbes[] = {"aime", "deteste", "adore"};
     String  Cod[] = {"les pommes","Fabienne","Jean","le sucre"};

     // le Layout par defaut des Frames est un BorderLayout qui
     // ici ne convient pas (nous le verrons plus tard)

     setLayout(new FlowLayout());

     // creation  de Panels qui vont contenir certains composants

     Panel panelSujet = new Panel();
     Panel panelVerbes = new Panel();
     Panel panelCod = new Panel();
     Panel panelPhrase = new Panel();
     Panel panelNouvelle = new Panel();

     // remplissage des panels
     // note le Layout par defaut des panels est FlowLayout
     for (int i=0; i<Sujet.length; i++) panelSujet.add(new Button(Sujet[i]));
     for (int i=0; i<Verbes.length; i++) panelVerbes.add(new Button(Verbes[i]));
     for (int i=0; i<Cod.length; i++) panelCod.add(new Button(Cod[i]));

     panelPhrase.add(new Label("Phrase:"));
     panelPhrase.add(new TextField(30));

     panelNouvelle.add(new Button("Nouvelle phrase"));

     // il reste encore a ajouter les panels dans la fenetre
     add(panelSujet);
     add(panelVerbes);
     add(panelCod);
     add(panelPhrase);
     add(panelNouvelle);
     show();
  }

  public static void main(String[] args) {
    new Phrazibus3(330,230,"Phrazibus 3");
  }

}
