// MODULE: Phrazibus4.java
// AUTEUR: felipe
// OBJET: interface ++ - exemple de cours
// COMMENT: une premiere interaction limitee

import java.awt.*;
import java.awt.event.*;

public class Phrazibus4 extends FenetreFermante implements ActionListener {

  // -------------------------------------------------
  // Les donnees membres
  // -------------------------------------------------

  String  Sujet[] = {"Marie", "Julie", "Linda", "Pierre","Jacques"};
  String  Verbes[] = {"aime", "deteste", "adore"};
  String  Cod[] = {"les pommes","Fabienne","Jean","le sucre"};

  Panel panelSujet = new Panel();
  Panel panelVerbes = new Panel();
  Panel panelCod = new Panel();
  Panel panelPhrase = new Panel();
  Panel panelNouvelle = new Panel();

  Button boutons[] = new Button [50];
  int nbBoutons = 0;

  // -------------------------------------------------
  // Le constructeur
  // -------------------------------------------------
  Phrazibus4 (int l,int h, String titre) {
     super(l,h);
     setTitle(titre);

     // le Layout par defaut des Frames est un BorderLayout qui
     // ici ne convient pas (nous le verrons plus tard)

     setLayout(new FlowLayout());

     // remplissage des panels
     // note: le Layout par defaut des panels est FlowLayout

     for (int i=0; i<Sujet.length; i++) {
       boutons[nbBoutons] = new Button(Sujet[i]);
       panelSujet.add(boutons[nbBoutons]);
       boutons[nbBoutons].addActionListener(this);
       nbBoutons++;
     }

     for (int i=0; i<Verbes.length; i++) panelVerbes.add(new Button(Verbes[i]));
     for (int i=0; i<Cod.length; i++) panelCod.add(new Button(Cod[i]));

     panelPhrase.add(new Label("Phrase:"));
     panelPhrase.add(new TextField(30));

     panelNouvelle.add(new Button("Nouvelle phrase"));

     // il reste encore a ajouter les panels dans la fenetre
     add(panelSujet);
     add(panelVerbes);
     add(panelCod);
     add(panelPhrase);
     add(panelNouvelle);
     show();
  }

  // -------------------------------------------------------------
  // la gestion des evenements
  // -------------------------------------------------------------

  public void actionPerformed (ActionEvent evt) {
    System.out.println("Action");
  }

  // -------------------------------------------------------------
  public static void main(String[] args) {
    new Phrazibus4(330,230,"Phrazibus 4");
  }

}
