// MODULE:  RadioTest.java
// AUTEUR: IFT1170
// OBJET: montrer un checkboxgroup
//        avec tjs le GridLayout pour montrer une limite

import java.awt.*;
import java.awt.event.*;

public class RadioTest extends FenetreFermante implements ItemListener {

  private String mois[] = {
     "janvier","fevrier","mars","avril","mai","juin",
     "juillet","aout","septembre","octobre","novembre","decembre"
  };
  private Checkbox ref [] = new Checkbox [mois.length];
  private TextField texte = new TextField ("no selection");

  // le constructeur
  public RadioTest(int l,int h, String titre) {
     super(l,h);
     setTitle(titre);

     CheckboxGroup groupe = new CheckboxGroup();
     Panel p = new Panel(new GridLayout(4,3));

     for (int i=0; i<mois.length; i++) {
       p.add(ref[i] = new Checkbox(mois[i],groupe,false));
       ref[i].addItemListener(this);
     }
     ref[4].setState(true);

     setLayout(new GridLayout(2,1));
     //setLayout(new FlowLayout());   // une meilleure solution ici

     add(p);
     add(texte);
     texte.enable(false);
     show();
  }

  // la seule methode de l'interface ItemListener
  public void itemStateChanged(ItemEvent e) {
    for (int i=0; i<ref.length; i++)
      if (e.getSource() == ref[i]) {
        texte.setText(mois[i]);
      }
  }

  public static void main(String [] args) {
    new RadioTest(330,230,"CheckBoxGroup (Radio Button)");
  }
}
