// MODULE: Phrazibus3.java
// AUTEURS: Langlais (AWT) + Lokbani (Swing)
// OBJET: interface ++ - exemple de cours
// COMMENT: organisons les composants en zones (panels)


import javax.swing.*;
import java.awt.*;


// ----------------------------------------------
// la meme avec des panels pour organiser un peu
// les composants dans la fenetre
// ----------------------------------------------


public class Phrazibus3 extends JFrame {

    Phrazibus3 (int l,int h, String titre) {
	
	setSize(l,h);
	setTitle(titre);
	
	
	// un ensemble de sujet
	String  Sujet[] = {"Marie", "Julie", "Linda", "Pierre","Jacques"};
	String  Verbes[] = {"aime", "deteste", "adore"};
	String  Cod[] = {"les pommes","Fabienne","Jean","le sucre"};
	
	// le Layout par defaut des Frames est un BorderLayout qui
	// ici ne convient pas (nous le verrons plus tard)
	
	Container c = getContentPane();
	
	c.setLayout(new FlowLayout());


	// creation  de Panels qui vont contenir certains composants
	
	JPanel panelSujet = new JPanel();
	JPanel panelVerbes = new JPanel();
	JPanel panelCod = new JPanel();
	JPanel panelPhrase = new JPanel();
	JPanel panelNouvelle = new JPanel();
	
	// remplissage des panels
	// note le Layout par defaut des panels est FlowLayout
	for (int i=0; i<Sujet.length; i++) panelSujet.add(new JButton(Sujet[i]));
	for (int i=0; i<Verbes.length; i++) panelVerbes.add(new JButton(Verbes[i]));
	for (int i=0; i<Cod.length; i++) panelCod.add(new JButton(Cod[i]));

	panelPhrase.add(new JLabel("Phrase:"));
	panelPhrase.add(new JTextField(30));
	
	panelNouvelle.add(new JButton("Nouvelle phrase"));
	
	// il reste encore a ajouter les panels dans la fenetre
	c.add(panelSujet);
	c.add(panelVerbes);
	c.add(panelCod);
	c.add(panelPhrase);
	c.add(panelNouvelle);

	show();
	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	
  }

  public static void main(String[] args) {
    new Phrazibus3(450,230,"Phrazibus 3");
  }

}
